List all groups
curl --request GET \
--url https://staging-api.chip-in.asia/api/send/groups \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/groups"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": 1,
"name": "Vendor Payouts",
"created_at": "2021-04-29T08:00:00.000Z",
"updated_at": "2021-04-29T08:00:00.000Z"
},
{
"id": 2,
"name": "Employee Payroll",
"created_at": "2021-05-12T03:21:40.000Z",
"updated_at": "2021-05-12T03:21:40.000Z"
}
]
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}Groups
List all groups
Returns a list of previously created group records.
Please note that this request is cached and will only refresh every hour.
GET
/
send
/
groups
List all groups
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unix epoch timestamp Unix timestamp (seconds).
Example:
1619740800
Refer to checksum calculation
Query Parameters
Page number to retrieve.
Example:
1
Response
Successful response
Show child attributes
Show child attributes
⌘I